HAProxyCollector
=====

Collect HAProxy Stats

#### Dependencies

 * urlparse
 * urllib2


#### Options - [Generic Options](Configuration)

<table><tr><th>Setting</th><th>Default</th><th>Description</th><th>Type</th></tr>
<tr><td>byte_unit</td><td>byte</td><td>Default numeric output(s)</td><td>str</td></tr>
<tr><td>enabled</td><td>False</td><td>Enable collecting these metrics</td><td>bool</td></tr>
<tr><td>ignore_servers</td><td>False</td><td>Ignore servers, just collect frontend and backend stats</td><td>bool</td></tr>
<tr><td>measure_collector_time</td><td>False</td><td>Collect the collector run time in ms</td><td>bool</td></tr>
<tr><td>metrics_blacklist</td><td>None</td><td>Regex to match metrics to block. Mutually exclusive with metrics_whitelist</td><td>NoneType</td></tr>
<tr><td>metrics_whitelist</td><td>None</td><td>Regex to match metrics to transmit. Mutually exclusive with metrics_blacklist</td><td>NoneType</td></tr>
<tr><td>pass</td><td>password</td><td>Password</td><td>str</td></tr>
<tr><td>url</td><td>http://localhost/haproxy?stats;csv</td><td>Url to stats in csv format</td><td>str</td></tr>
<tr><td>user</td><td>admin</td><td>Username</td><td>str</td></tr>
</table>

#### Example Output

```
servers.hostname.haproxy.admin.backend.act 0.0
servers.hostname.haproxy.admin.backend.bck 0.0
servers.hostname.haproxy.admin.backend.bin 745023.0
servers.hostname.haproxy.admin.backend.bout 25323272.0
servers.hostname.haproxy.admin.backend.chkdown 0.0
servers.hostname.haproxy.admin.backend.cli_abrt 0.0
servers.hostname.haproxy.admin.backend.downtime 0.0
servers.hostname.haproxy.admin.backend.dreq 0.0
servers.hostname.haproxy.admin.backend.dresp 0.0
servers.hostname.haproxy.admin.backend.econ 0.0
servers.hostname.haproxy.admin.backend.eresp 0.0
servers.hostname.haproxy.admin.backend.hrsp_1xx 0.0
servers.hostname.haproxy.admin.backend.hrsp_2xx 0.0
servers.hostname.haproxy.admin.backend.hrsp_3xx 0.0
servers.hostname.haproxy.admin.backend.hrsp_4xx 0.0
servers.hostname.haproxy.admin.backend.hrsp_5xx 0.0
servers.hostname.haproxy.admin.backend.hrsp_other 0.0
servers.hostname.haproxy.admin.backend.iid 1.0
servers.hostname.haproxy.admin.backend.lastchg 1422928.0
servers.hostname.haproxy.admin.backend.lbtot 0.0
servers.hostname.haproxy.admin.backend.pid 1.0
servers.hostname.haproxy.admin.backend.qcur 0.0
servers.hostname.haproxy.admin.backend.qmax 0.0
servers.hostname.haproxy.admin.backend.rate 0.0
servers.hostname.haproxy.admin.backend.rate_max 0.0
servers.hostname.haproxy.admin.backend.scur 0.0
servers.hostname.haproxy.admin.backend.sid 0.0
servers.hostname.haproxy.admin.backend.slim 10000.0
servers.hostname.haproxy.admin.backend.smax 0.0
servers.hostname.haproxy.admin.backend.srv_abrt 0.0
servers.hostname.haproxy.admin.backend.stot 0.0
servers.hostname.haproxy.admin.backend.type 1.0
servers.hostname.haproxy.admin.backend.weight 0.0
servers.hostname.haproxy.admin.backend.wredis 0.0
servers.hostname.haproxy.admin.backend.wretr 0.0
servers.hostname.haproxy.admin.frontend.bin 745023.0
servers.hostname.haproxy.admin.frontend.bout 25323272.0
servers.hostname.haproxy.admin.frontend.dreq 0.0
servers.hostname.haproxy.admin.frontend.dresp 0.0
servers.hostname.haproxy.admin.frontend.ereq 4.0
servers.hostname.haproxy.admin.frontend.hrsp_1xx 0.0
servers.hostname.haproxy.admin.frontend.hrsp_2xx 5297.0
servers.hostname.haproxy.admin.frontend.hrsp_3xx 0.0
servers.hostname.haproxy.admin.frontend.hrsp_4xx 4.0
servers.hostname.haproxy.admin.frontend.hrsp_5xx 0.0
servers.hostname.haproxy.admin.frontend.hrsp_other 0.0
servers.hostname.haproxy.admin.frontend.iid 1.0
servers.hostname.haproxy.admin.frontend.pid 1.0
servers.hostname.haproxy.admin.frontend.rate 1.0
servers.hostname.haproxy.admin.frontend.rate_lim 0.0
servers.hostname.haproxy.admin.frontend.rate_max 3.0
servers.hostname.haproxy.admin.frontend.req_rate 1.0
servers.hostname.haproxy.admin.frontend.req_rate_max 2.0
servers.hostname.haproxy.admin.frontend.req_tot 5302.0
servers.hostname.haproxy.admin.frontend.sid 0.0
servers.hostname.haproxy.admin.frontend.slim 10000.0
servers.hostname.haproxy.admin.frontend.smax 2.0
servers.hostname.haproxy.admin.frontend.stot 5302.0
servers.hostname.haproxy.admin.frontend.type 0.0
servers.hostname.haproxy.app-domain-com.app1.act 1.0
servers.hostname.haproxy.app-domain-com.app1.bck 0.0
servers.hostname.haproxy.app-domain-com.app1.bin 255007214.0
servers.hostname.haproxy.app-domain-com.app1.bout 1390689182.0
servers.hostname.haproxy.app-domain-com.app1.check_code 200.0
servers.hostname.haproxy.app-domain-com.app1.check_duration 0.0
servers.hostname.haproxy.app-domain-com.app1.chkdown 29.0
servers.hostname.haproxy.app-domain-com.app1.chkfail 1140.0
servers.hostname.haproxy.app-domain-com.app1.cli_abrt 32.0
servers.hostname.haproxy.app-domain-com.app1.downtime 585.0
servers.hostname.haproxy.app-domain-com.app1.dresp 0.0
servers.hostname.haproxy.app-domain-com.app1.econ 0.0
servers.hostname.haproxy.app-domain-com.app1.eresp 3.0
servers.hostname.haproxy.app-domain-com.app1.hanafail 0.0
servers.hostname.haproxy.app-domain-com.app1.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.app1.hrsp_2xx 279292.0
servers.hostname.haproxy.app-domain-com.app1.hrsp_3xx 6146.0
servers.hostname.haproxy.app-domain-com.app1.hrsp_4xx 176051.0
servers.hostname.haproxy.app-domain-com.app1.hrsp_5xx 6.0
servers.hostname.haproxy.app-domain-com.app1.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.app1.iid 2.0
servers.hostname.haproxy.app-domain-com.app1.lastchg 19180.0
servers.hostname.haproxy.app-domain-com.app1.lbtot 461572.0
servers.hostname.haproxy.app-domain-com.app1.pid 1.0
servers.hostname.haproxy.app-domain-com.app1.qcur 0.0
servers.hostname.haproxy.app-domain-com.app1.qmax 0.0
servers.hostname.haproxy.app-domain-com.app1.rate 1.0
servers.hostname.haproxy.app-domain-com.app1.rate_max 6.0
servers.hostname.haproxy.app-domain-com.app1.scur 0.0
servers.hostname.haproxy.app-domain-com.app1.sid 1.0
servers.hostname.haproxy.app-domain-com.app1.slim 10.0
servers.hostname.haproxy.app-domain-com.app1.smax 6.0
servers.hostname.haproxy.app-domain-com.app1.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.app1.stot 461726.0
servers.hostname.haproxy.app-domain-com.app1.type 2.0
servers.hostname.haproxy.app-domain-com.app1.weight 1.0
servers.hostname.haproxy.app-domain-com.app1.wredis 74.0
servers.hostname.haproxy.app-domain-com.app1.wretr 154.0
servers.hostname.haproxy.app-domain-com.app2.act 1.0
servers.hostname.haproxy.app-domain-com.app2.bck 0.0
servers.hostname.haproxy.app-domain-com.app2.bin 254976461.0
servers.hostname.haproxy.app-domain-com.app2.bout 1367418013.0
servers.hostname.haproxy.app-domain-com.app2.check_code 200.0
servers.hostname.haproxy.app-domain-com.app2.check_duration 0.0
servers.hostname.haproxy.app-domain-com.app2.chkdown 36.0
servers.hostname.haproxy.app-domain-com.app2.chkfail 1113.0
servers.hostname.haproxy.app-domain-com.app2.cli_abrt 30.0
servers.hostname.haproxy.app-domain-com.app2.downtime 613.0
servers.hostname.haproxy.app-domain-com.app2.dresp 0.0
servers.hostname.haproxy.app-domain-com.app2.econ 0.0
servers.hostname.haproxy.app-domain-com.app2.eresp 6.0
servers.hostname.haproxy.app-domain-com.app2.hanafail 0.0
servers.hostname.haproxy.app-domain-com.app2.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.app2.hrsp_2xx 279798.0
servers.hostname.haproxy.app-domain-com.app2.hrsp_3xx 6198.0
servers.hostname.haproxy.app-domain-com.app2.hrsp_4xx 175317.0
servers.hostname.haproxy.app-domain-com.app2.hrsp_5xx 5.0
servers.hostname.haproxy.app-domain-com.app2.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.app2.iid 2.0
servers.hostname.haproxy.app-domain-com.app2.lastchg 19167.0
servers.hostname.haproxy.app-domain-com.app2.lbtot 461393.0
servers.hostname.haproxy.app-domain-com.app2.pid 1.0
servers.hostname.haproxy.app-domain-com.app2.qcur 0.0
servers.hostname.haproxy.app-domain-com.app2.qmax 0.0
servers.hostname.haproxy.app-domain-com.app2.rate 0.0
servers.hostname.haproxy.app-domain-com.app2.rate_max 6.0
servers.hostname.haproxy.app-domain-com.app2.scur 0.0
servers.hostname.haproxy.app-domain-com.app2.sid 2.0
servers.hostname.haproxy.app-domain-com.app2.slim 10.0
servers.hostname.haproxy.app-domain-com.app2.smax 6.0
servers.hostname.haproxy.app-domain-com.app2.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.app2.stot 461535.0
servers.hostname.haproxy.app-domain-com.app2.type 2.0
servers.hostname.haproxy.app-domain-com.app2.weight 1.0
servers.hostname.haproxy.app-domain-com.app2.wredis 69.0
servers.hostname.haproxy.app-domain-com.app2.wretr 142.0
servers.hostname.haproxy.app-domain-com.app3.act 1.0
servers.hostname.haproxy.app-domain-com.app3.bck 0.0
servers.hostname.haproxy.app-domain-com.app3.bin 254900671.0
servers.hostname.haproxy.app-domain-com.app3.bout 1346762213.0
servers.hostname.haproxy.app-domain-com.app3.check_code 200.0
servers.hostname.haproxy.app-domain-com.app3.check_duration 0.0
servers.hostname.haproxy.app-domain-com.app3.chkdown 28.0
servers.hostname.haproxy.app-domain-com.app3.chkfail 1105.0
servers.hostname.haproxy.app-domain-com.app3.cli_abrt 21.0
servers.hostname.haproxy.app-domain-com.app3.downtime 458.0
servers.hostname.haproxy.app-domain-com.app3.dresp 0.0
servers.hostname.haproxy.app-domain-com.app3.econ 0.0
servers.hostname.haproxy.app-domain-com.app3.eresp 13.0
servers.hostname.haproxy.app-domain-com.app3.hanafail 0.0
servers.hostname.haproxy.app-domain-com.app3.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.app3.hrsp_2xx 278937.0
servers.hostname.haproxy.app-domain-com.app3.hrsp_3xx 6106.0
servers.hostname.haproxy.app-domain-com.app3.hrsp_4xx 176720.0
servers.hostname.haproxy.app-domain-com.app3.hrsp_5xx 7.0
servers.hostname.haproxy.app-domain-com.app3.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.app3.iid 2.0
servers.hostname.haproxy.app-domain-com.app3.lastchg 19150.0
servers.hostname.haproxy.app-domain-com.app3.lbtot 461860.0
servers.hostname.haproxy.app-domain-com.app3.pid 1.0
servers.hostname.haproxy.app-domain-com.app3.qcur 0.0
servers.hostname.haproxy.app-domain-com.app3.qmax 0.0
servers.hostname.haproxy.app-domain-com.app3.rate 1.0
servers.hostname.haproxy.app-domain-com.app3.rate_max 6.0
servers.hostname.haproxy.app-domain-com.app3.scur 0.0
servers.hostname.haproxy.app-domain-com.app3.sid 3.0
servers.hostname.haproxy.app-domain-com.app3.slim 10.0
servers.hostname.haproxy.app-domain-com.app3.smax 6.0
servers.hostname.haproxy.app-domain-com.app3.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.app3.stot 462019.0
servers.hostname.haproxy.app-domain-com.app3.type 2.0
servers.hostname.haproxy.app-domain-com.app3.weight 1.0
servers.hostname.haproxy.app-domain-com.app3.wredis 77.0
servers.hostname.haproxy.app-domain-com.app3.wretr 159.0
servers.hostname.haproxy.app-domain-com.app4.act 1.0
servers.hostname.haproxy.app-domain-com.app4.bck 0.0
servers.hostname.haproxy.app-domain-com.app4.bin 254871154.0
servers.hostname.haproxy.app-domain-com.app4.bout 1377745261.0
servers.hostname.haproxy.app-domain-com.app4.check_code 200.0
servers.hostname.haproxy.app-domain-com.app4.check_duration 0.0
servers.hostname.haproxy.app-domain-com.app4.chkdown 31.0
servers.hostname.haproxy.app-domain-com.app4.chkfail 1146.0
servers.hostname.haproxy.app-domain-com.app4.cli_abrt 28.0
servers.hostname.haproxy.app-domain-com.app4.downtime 481.0
servers.hostname.haproxy.app-domain-com.app4.dresp 0.0
servers.hostname.haproxy.app-domain-com.app4.econ 0.0
servers.hostname.haproxy.app-domain-com.app4.eresp 9.0
servers.hostname.haproxy.app-domain-com.app4.hanafail 0.0
servers.hostname.haproxy.app-domain-com.app4.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.app4.hrsp_2xx 279199.0
servers.hostname.haproxy.app-domain-com.app4.hrsp_3xx 6076.0
servers.hostname.haproxy.app-domain-com.app4.hrsp_4xx 176338.0
servers.hostname.haproxy.app-domain-com.app4.hrsp_5xx 2.0
servers.hostname.haproxy.app-domain-com.app4.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.app4.iid 2.0
servers.hostname.haproxy.app-domain-com.app4.lastchg 29426.0
servers.hostname.haproxy.app-domain-com.app4.lbtot 461694.0
servers.hostname.haproxy.app-domain-com.app4.pid 1.0
servers.hostname.haproxy.app-domain-com.app4.qcur 0.0
servers.hostname.haproxy.app-domain-com.app4.qmax 0.0
servers.hostname.haproxy.app-domain-com.app4.rate 0.0
servers.hostname.haproxy.app-domain-com.app4.rate_max 7.0
servers.hostname.haproxy.app-domain-com.app4.scur 0.0
servers.hostname.haproxy.app-domain-com.app4.sid 4.0
servers.hostname.haproxy.app-domain-com.app4.slim 10.0
servers.hostname.haproxy.app-domain-com.app4.smax 6.0
servers.hostname.haproxy.app-domain-com.app4.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.app4.stot 461843.0
servers.hostname.haproxy.app-domain-com.app4.type 2.0
servers.hostname.haproxy.app-domain-com.app4.weight 1.0
servers.hostname.haproxy.app-domain-com.app4.wredis 70.0
servers.hostname.haproxy.app-domain-com.app4.wretr 149.0
servers.hostname.haproxy.app-domain-com.app5.act 1.0
servers.hostname.haproxy.app-domain-com.app5.bck 0.0
servers.hostname.haproxy.app-domain-com.app5.bin 254792036.0
servers.hostname.haproxy.app-domain-com.app5.bout 1358313883.0
servers.hostname.haproxy.app-domain-com.app5.check_code 200.0
servers.hostname.haproxy.app-domain-com.app5.check_duration 0.0
servers.hostname.haproxy.app-domain-com.app5.chkdown 29.0
servers.hostname.haproxy.app-domain-com.app5.chkfail 1107.0
servers.hostname.haproxy.app-domain-com.app5.cli_abrt 29.0
servers.hostname.haproxy.app-domain-com.app5.downtime 490.0
servers.hostname.haproxy.app-domain-com.app5.dresp 0.0
servers.hostname.haproxy.app-domain-com.app5.econ 0.0
servers.hostname.haproxy.app-domain-com.app5.eresp 8.0
servers.hostname.haproxy.app-domain-com.app5.hanafail 0.0
servers.hostname.haproxy.app-domain-com.app5.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.app5.hrsp_2xx 278801.0
servers.hostname.haproxy.app-domain-com.app5.hrsp_3xx 6040.0
servers.hostname.haproxy.app-domain-com.app5.hrsp_4xx 176596.0
servers.hostname.haproxy.app-domain-com.app5.hrsp_5xx 13.0
servers.hostname.haproxy.app-domain-com.app5.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.app5.iid 2.0
servers.hostname.haproxy.app-domain-com.app5.lastchg 19120.0
servers.hostname.haproxy.app-domain-com.app5.lbtot 461533.0
servers.hostname.haproxy.app-domain-com.app5.pid 1.0
servers.hostname.haproxy.app-domain-com.app5.qcur 0.0
servers.hostname.haproxy.app-domain-com.app5.qmax 0.0
servers.hostname.haproxy.app-domain-com.app5.rate 0.0
servers.hostname.haproxy.app-domain-com.app5.rate_max 7.0
servers.hostname.haproxy.app-domain-com.app5.scur 0.0
servers.hostname.haproxy.app-domain-com.app5.sid 5.0
servers.hostname.haproxy.app-domain-com.app5.slim 10.0
servers.hostname.haproxy.app-domain-com.app5.smax 6.0
servers.hostname.haproxy.app-domain-com.app5.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.app5.stot 461687.0
servers.hostname.haproxy.app-domain-com.app5.type 2.0
servers.hostname.haproxy.app-domain-com.app5.weight 1.0
servers.hostname.haproxy.app-domain-com.app5.wredis 75.0
servers.hostname.haproxy.app-domain-com.app5.wretr 154.0
servers.hostname.haproxy.app-domain-com.app6.act 1.0
servers.hostname.haproxy.app-domain-com.app6.bck 0.0
servers.hostname.haproxy.app-domain-com.app6.bin 254918298.0
servers.hostname.haproxy.app-domain-com.app6.bout 1342115240.0
servers.hostname.haproxy.app-domain-com.app6.check_code 200.0
servers.hostname.haproxy.app-domain-com.app6.check_duration 0.0
servers.hostname.haproxy.app-domain-com.app6.chkdown 29.0
servers.hostname.haproxy.app-domain-com.app6.chkfail 1061.0
servers.hostname.haproxy.app-domain-com.app6.cli_abrt 33.0
servers.hostname.haproxy.app-domain-com.app6.downtime 510.0
servers.hostname.haproxy.app-domain-com.app6.dresp 0.0
servers.hostname.haproxy.app-domain-com.app6.econ 0.0
servers.hostname.haproxy.app-domain-com.app6.eresp 7.0
servers.hostname.haproxy.app-domain-com.app6.hanafail 0.0
servers.hostname.haproxy.app-domain-com.app6.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.app6.hrsp_2xx 279091.0
servers.hostname.haproxy.app-domain-com.app6.hrsp_3xx 6094.0
servers.hostname.haproxy.app-domain-com.app6.hrsp_4xx 176453.0
servers.hostname.haproxy.app-domain-com.app6.hrsp_5xx 6.0
servers.hostname.haproxy.app-domain-com.app6.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.app6.iid 2.0
servers.hostname.haproxy.app-domain-com.app6.lastchg 19106.0
servers.hostname.haproxy.app-domain-com.app6.lbtot 461721.0
servers.hostname.haproxy.app-domain-com.app6.pid 1.0
servers.hostname.haproxy.app-domain-com.app6.qcur 0.0
servers.hostname.haproxy.app-domain-com.app6.qmax 0.0
servers.hostname.haproxy.app-domain-com.app6.rate 0.0
servers.hostname.haproxy.app-domain-com.app6.rate_max 6.0
servers.hostname.haproxy.app-domain-com.app6.scur 0.0
servers.hostname.haproxy.app-domain-com.app6.sid 6.0
servers.hostname.haproxy.app-domain-com.app6.slim 10.0
servers.hostname.haproxy.app-domain-com.app6.smax 6.0
servers.hostname.haproxy.app-domain-com.app6.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.app6.stot 461870.0
servers.hostname.haproxy.app-domain-com.app6.type 2.0
servers.hostname.haproxy.app-domain-com.app6.weight 1.0
servers.hostname.haproxy.app-domain-com.app6.wredis 71.0
servers.hostname.haproxy.app-domain-com.app6.wretr 149.0
servers.hostname.haproxy.app-domain-com.app7.act 1.0
servers.hostname.haproxy.app-domain-com.app7.bck 0.0
servers.hostname.haproxy.app-domain-com.app7.bin 255159195.0
servers.hostname.haproxy.app-domain-com.app7.bout 1382969429.0
servers.hostname.haproxy.app-domain-com.app7.check_code 200.0
servers.hostname.haproxy.app-domain-com.app7.check_duration 0.0
servers.hostname.haproxy.app-domain-com.app7.chkdown 33.0
servers.hostname.haproxy.app-domain-com.app7.chkfail 1136.0
servers.hostname.haproxy.app-domain-com.app7.cli_abrt 33.0
servers.hostname.haproxy.app-domain-com.app7.downtime 467.0
servers.hostname.haproxy.app-domain-com.app7.dresp 0.0
servers.hostname.haproxy.app-domain-com.app7.econ 0.0
servers.hostname.haproxy.app-domain-com.app7.eresp 9.0
servers.hostname.haproxy.app-domain-com.app7.hanafail 0.0
servers.hostname.haproxy.app-domain-com.app7.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.app7.hrsp_2xx 278790.0
servers.hostname.haproxy.app-domain-com.app7.hrsp_3xx 6223.0
servers.hostname.haproxy.app-domain-com.app7.hrsp_4xx 176803.0
servers.hostname.haproxy.app-domain-com.app7.hrsp_5xx 5.0
servers.hostname.haproxy.app-domain-com.app7.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.app7.iid 2.0
servers.hostname.haproxy.app-domain-com.app7.lastchg 19090.0
servers.hostname.haproxy.app-domain-com.app7.lbtot 461903.0
servers.hostname.haproxy.app-domain-com.app7.pid 1.0
servers.hostname.haproxy.app-domain-com.app7.qcur 0.0
servers.hostname.haproxy.app-domain-com.app7.qmax 0.0
servers.hostname.haproxy.app-domain-com.app7.rate 0.0
servers.hostname.haproxy.app-domain-com.app7.rate_max 7.0
servers.hostname.haproxy.app-domain-com.app7.scur 0.0
servers.hostname.haproxy.app-domain-com.app7.sid 7.0
servers.hostname.haproxy.app-domain-com.app7.slim 10.0
servers.hostname.haproxy.app-domain-com.app7.smax 6.0
servers.hostname.haproxy.app-domain-com.app7.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.app7.stot 462057.0
servers.hostname.haproxy.app-domain-com.app7.type 2.0
servers.hostname.haproxy.app-domain-com.app7.weight 1.0
servers.hostname.haproxy.app-domain-com.app7.wredis 73.0
servers.hostname.haproxy.app-domain-com.app7.wretr 154.0
servers.hostname.haproxy.app-domain-com.app8.act 1.0
servers.hostname.haproxy.app-domain-com.app8.bck 0.0
servers.hostname.haproxy.app-domain-com.app8.bin 255318449.0
servers.hostname.haproxy.app-domain-com.app8.bout 1364393176.0
servers.hostname.haproxy.app-domain-com.app8.check_code 200.0
servers.hostname.haproxy.app-domain-com.app8.check_duration 0.0
servers.hostname.haproxy.app-domain-com.app8.chkdown 23.0
servers.hostname.haproxy.app-domain-com.app8.chkfail 1099.0
servers.hostname.haproxy.app-domain-com.app8.cli_abrt 40.0
servers.hostname.haproxy.app-domain-com.app8.downtime 356.0
servers.hostname.haproxy.app-domain-com.app8.dresp 0.0
servers.hostname.haproxy.app-domain-com.app8.econ 0.0
servers.hostname.haproxy.app-domain-com.app8.eresp 11.0
servers.hostname.haproxy.app-domain-com.app8.hanafail 0.0
servers.hostname.haproxy.app-domain-com.app8.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.app8.hrsp_2xx 279365.0
servers.hostname.haproxy.app-domain-com.app8.hrsp_3xx 6081.0
servers.hostname.haproxy.app-domain-com.app8.hrsp_4xx 176380.0
servers.hostname.haproxy.app-domain-com.app8.hrsp_5xx 7.0
servers.hostname.haproxy.app-domain-com.app8.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.app8.iid 2.0
servers.hostname.haproxy.app-domain-com.app8.lastchg 19077.0
servers.hostname.haproxy.app-domain-com.app8.lbtot 461905.0
servers.hostname.haproxy.app-domain-com.app8.pid 1.0
servers.hostname.haproxy.app-domain-com.app8.qcur 0.0
servers.hostname.haproxy.app-domain-com.app8.qmax 0.0
servers.hostname.haproxy.app-domain-com.app8.rate 1.0
servers.hostname.haproxy.app-domain-com.app8.rate_max 7.0
servers.hostname.haproxy.app-domain-com.app8.scur 1.0
servers.hostname.haproxy.app-domain-com.app8.sid 8.0
servers.hostname.haproxy.app-domain-com.app8.slim 10.0
servers.hostname.haproxy.app-domain-com.app8.smax 6.0
servers.hostname.haproxy.app-domain-com.app8.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.app8.stot 462034.0
servers.hostname.haproxy.app-domain-com.app8.type 2.0
servers.hostname.haproxy.app-domain-com.app8.weight 1.0
servers.hostname.haproxy.app-domain-com.app8.wredis 60.0
servers.hostname.haproxy.app-domain-com.app8.wretr 129.0
servers.hostname.haproxy.app-domain-com.backend.act 8.0
servers.hostname.haproxy.app-domain-com.backend.bck 0.0
servers.hostname.haproxy.app-domain-com.backend.bin 2039943478.0
servers.hostname.haproxy.app-domain-com.backend.bout 10930406397.0
servers.hostname.haproxy.app-domain-com.backend.chkdown 0.0
servers.hostname.haproxy.app-domain-com.backend.cli_abrt 246.0
servers.hostname.haproxy.app-domain-com.backend.downtime 0.0
servers.hostname.haproxy.app-domain-com.backend.dreq 0.0
servers.hostname.haproxy.app-domain-com.backend.dresp 0.0
servers.hostname.haproxy.app-domain-com.backend.econ 0.0
servers.hostname.haproxy.app-domain-com.backend.eresp 66.0
servers.hostname.haproxy.app-domain-com.backend.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.backend.hrsp_2xx 2233273.0
servers.hostname.haproxy.app-domain-com.backend.hrsp_3xx 48964.0
servers.hostname.haproxy.app-domain-com.backend.hrsp_4xx 1410658.0
servers.hostname.haproxy.app-domain-com.backend.hrsp_5xx 116.0
servers.hostname.haproxy.app-domain-com.backend.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.backend.iid 2.0
servers.hostname.haproxy.app-domain-com.backend.lastchg 1422928.0
servers.hostname.haproxy.app-domain-com.backend.lbtot 3693581.0
servers.hostname.haproxy.app-domain-com.backend.pid 1.0
servers.hostname.haproxy.app-domain-com.backend.qcur 0.0
servers.hostname.haproxy.app-domain-com.backend.qmax 0.0
servers.hostname.haproxy.app-domain-com.backend.rate 2.0
servers.hostname.haproxy.app-domain-com.backend.rate_max 42.0
servers.hostname.haproxy.app-domain-com.backend.scur 1.0
servers.hostname.haproxy.app-domain-com.backend.sid 0.0
servers.hostname.haproxy.app-domain-com.backend.slim 10000.0
servers.hostname.haproxy.app-domain-com.backend.smax 46.0
servers.hostname.haproxy.app-domain-com.backend.srv_abrt 0.0
servers.hostname.haproxy.app-domain-com.backend.stot 3693012.0
servers.hostname.haproxy.app-domain-com.backend.type 1.0
servers.hostname.haproxy.app-domain-com.backend.weight 8.0
servers.hostname.haproxy.app-domain-com.backend.wredis 569.0
servers.hostname.haproxy.app-domain-com.backend.wretr 1190.0
servers.hostname.haproxy.app-domain-com.frontend.bin 2039943478.0
servers.hostname.haproxy.app-domain-com.frontend.bout 10930406397.0
servers.hostname.haproxy.app-domain-com.frontend.dreq 0.0
servers.hostname.haproxy.app-domain-com.frontend.dresp 0.0
servers.hostname.haproxy.app-domain-com.frontend.ereq 0.0
servers.hostname.haproxy.app-domain-com.frontend.hrsp_1xx 0.0
servers.hostname.haproxy.app-domain-com.frontend.hrsp_2xx 2233273.0
servers.hostname.haproxy.app-domain-com.frontend.hrsp_3xx 48964.0
servers.hostname.haproxy.app-domain-com.frontend.hrsp_4xx 1410658.0
servers.hostname.haproxy.app-domain-com.frontend.hrsp_5xx 116.0
servers.hostname.haproxy.app-domain-com.frontend.hrsp_other 0.0
servers.hostname.haproxy.app-domain-com.frontend.iid 2.0
servers.hostname.haproxy.app-domain-com.frontend.pid 1.0
servers.hostname.haproxy.app-domain-com.frontend.rate 2.0
servers.hostname.haproxy.app-domain-com.frontend.rate_lim 0.0
servers.hostname.haproxy.app-domain-com.frontend.rate_max 42.0
servers.hostname.haproxy.app-domain-com.frontend.req_rate 2.0
servers.hostname.haproxy.app-domain-com.frontend.req_rate_max 42.0
servers.hostname.haproxy.app-domain-com.frontend.req_tot 3693012.0
servers.hostname.haproxy.app-domain-com.frontend.scur 1.0
servers.hostname.haproxy.app-domain-com.frontend.sid 0.0
servers.hostname.haproxy.app-domain-com.frontend.slim 10000.0
servers.hostname.haproxy.app-domain-com.frontend.smax 46.0
servers.hostname.haproxy.app-domain-com.frontend.stot 3693012.0
servers.hostname.haproxy.app-domain-com.frontend.type 0.0
servers.hostname.haproxy.trans-service.backend.act 2.0
servers.hostname.haproxy.trans-service.backend.bck 0.0
servers.hostname.haproxy.trans-service.backend.bin 0.0
servers.hostname.haproxy.trans-service.backend.bout 0.0
servers.hostname.haproxy.trans-service.backend.chkdown 3.0
servers.hostname.haproxy.trans-service.backend.cli_abrt 0.0
servers.hostname.haproxy.trans-service.backend.downtime 116.0
servers.hostname.haproxy.trans-service.backend.dreq 0.0
servers.hostname.haproxy.trans-service.backend.dresp 0.0
servers.hostname.haproxy.trans-service.backend.econ 0.0
servers.hostname.haproxy.trans-service.backend.eresp 0.0
servers.hostname.haproxy.trans-service.backend.hrsp_1xx 0.0
servers.hostname.haproxy.trans-service.backend.hrsp_2xx 0.0
servers.hostname.haproxy.trans-service.backend.hrsp_3xx 0.0
servers.hostname.haproxy.trans-service.backend.hrsp_4xx 0.0
servers.hostname.haproxy.trans-service.backend.hrsp_5xx 0.0
servers.hostname.haproxy.trans-service.backend.hrsp_other 0.0
servers.hostname.haproxy.trans-service.backend.iid 3.0
servers.hostname.haproxy.trans-service.backend.lastchg 222121.0
servers.hostname.haproxy.trans-service.backend.lbtot 0.0
servers.hostname.haproxy.trans-service.backend.pid 1.0
servers.hostname.haproxy.trans-service.backend.qcur 0.0
servers.hostname.haproxy.trans-service.backend.qmax 0.0
servers.hostname.haproxy.trans-service.backend.rate 0.0
servers.hostname.haproxy.trans-service.backend.rate_max 0.0
servers.hostname.haproxy.trans-service.backend.scur 0.0
servers.hostname.haproxy.trans-service.backend.sid 0.0
servers.hostname.haproxy.trans-service.backend.slim 10000.0
servers.hostname.haproxy.trans-service.backend.smax 0.0
servers.hostname.haproxy.trans-service.backend.srv_abrt 0.0
servers.hostname.haproxy.trans-service.backend.stot 0.0
servers.hostname.haproxy.trans-service.backend.type 1.0
servers.hostname.haproxy.trans-service.backend.weight 2.0
servers.hostname.haproxy.trans-service.backend.wredis 0.0
servers.hostname.haproxy.trans-service.backend.wretr 0.0
servers.hostname.haproxy.trans-service.frontend.bin 0.0
servers.hostname.haproxy.trans-service.frontend.bout 0.0
servers.hostname.haproxy.trans-service.frontend.dreq 0.0
servers.hostname.haproxy.trans-service.frontend.dresp 0.0
servers.hostname.haproxy.trans-service.frontend.ereq 0.0
servers.hostname.haproxy.trans-service.frontend.hrsp_1xx 0.0
servers.hostname.haproxy.trans-service.frontend.hrsp_2xx 0.0
servers.hostname.haproxy.trans-service.frontend.hrsp_3xx 0.0
servers.hostname.haproxy.trans-service.frontend.hrsp_4xx 0.0
servers.hostname.haproxy.trans-service.frontend.hrsp_5xx 0.0
servers.hostname.haproxy.trans-service.frontend.hrsp_other 0.0
servers.hostname.haproxy.trans-service.frontend.iid 3.0
servers.hostname.haproxy.trans-service.frontend.pid 1.0
servers.hostname.haproxy.trans-service.frontend.rate 0.0
servers.hostname.haproxy.trans-service.frontend.rate_lim 0.0
servers.hostname.haproxy.trans-service.frontend.rate_max 0.0
servers.hostname.haproxy.trans-service.frontend.req_rate 0.0
servers.hostname.haproxy.trans-service.frontend.req_rate_max 0.0
servers.hostname.haproxy.trans-service.frontend.req_tot 0.0
servers.hostname.haproxy.trans-service.frontend.scur 0.0
servers.hostname.haproxy.trans-service.frontend.sid 0.0
servers.hostname.haproxy.trans-service.frontend.slim 10000.0
servers.hostname.haproxy.trans-service.frontend.smax 0.0
servers.hostname.haproxy.trans-service.frontend.stot 0.0
servers.hostname.haproxy.trans-service.frontend.type 0.0
servers.hostname.haproxy.trans-service.trans1.act 1.0
servers.hostname.haproxy.trans-service.trans1.bck 0.0
servers.hostname.haproxy.trans-service.trans1.bin 0.0
servers.hostname.haproxy.trans-service.trans1.bout 0.0
servers.hostname.haproxy.trans-service.trans1.check_code 200.0
servers.hostname.haproxy.trans-service.trans1.check_duration 10.0
servers.hostname.haproxy.trans-service.trans1.chkdown 3.0
servers.hostname.haproxy.trans-service.trans1.chkfail 31.0
servers.hostname.haproxy.trans-service.trans1.cli_abrt 0.0
servers.hostname.haproxy.trans-service.trans1.downtime 116.0
servers.hostname.haproxy.trans-service.trans1.dresp 0.0
servers.hostname.haproxy.trans-service.trans1.econ 0.0
servers.hostname.haproxy.trans-service.trans1.eresp 0.0
servers.hostname.haproxy.trans-service.trans1.hanafail 0.0
servers.hostname.haproxy.trans-service.trans1.hrsp_1xx 0.0
servers.hostname.haproxy.trans-service.trans1.hrsp_2xx 0.0
servers.hostname.haproxy.trans-service.trans1.hrsp_3xx 0.0
servers.hostname.haproxy.trans-service.trans1.hrsp_4xx 0.0
servers.hostname.haproxy.trans-service.trans1.hrsp_5xx 0.0
servers.hostname.haproxy.trans-service.trans1.hrsp_other 0.0
servers.hostname.haproxy.trans-service.trans1.iid 3.0
servers.hostname.haproxy.trans-service.trans1.lastchg 222121.0
servers.hostname.haproxy.trans-service.trans1.lbtot 0.0
servers.hostname.haproxy.trans-service.trans1.pid 1.0
servers.hostname.haproxy.trans-service.trans1.qcur 0.0
servers.hostname.haproxy.trans-service.trans1.qmax 0.0
servers.hostname.haproxy.trans-service.trans1.rate 0.0
servers.hostname.haproxy.trans-service.trans1.rate_max 0.0
servers.hostname.haproxy.trans-service.trans1.scur 0.0
servers.hostname.haproxy.trans-service.trans1.sid 1.0
servers.hostname.haproxy.trans-service.trans1.smax 0.0
servers.hostname.haproxy.trans-service.trans1.srv_abrt 0.0
servers.hostname.haproxy.trans-service.trans1.stot 0.0
servers.hostname.haproxy.trans-service.trans1.type 2.0
servers.hostname.haproxy.trans-service.trans1.weight 1.0
servers.hostname.haproxy.trans-service.trans1.wredis 0.0
servers.hostname.haproxy.trans-service.trans1.wretr 0.0
servers.hostname.haproxy.trans-service.trans2.act 1.0
servers.hostname.haproxy.trans-service.trans2.bck 0.0
servers.hostname.haproxy.trans-service.trans2.bin 0.0
servers.hostname.haproxy.trans-service.trans2.bout 0.0
servers.hostname.haproxy.trans-service.trans2.check_code 200.0
servers.hostname.haproxy.trans-service.trans2.check_duration 12.0
servers.hostname.haproxy.trans-service.trans2.chkdown 3.0
servers.hostname.haproxy.trans-service.trans2.chkfail 28.0
servers.hostname.haproxy.trans-service.trans2.cli_abrt 0.0
servers.hostname.haproxy.trans-service.trans2.downtime 116.0
servers.hostname.haproxy.trans-service.trans2.dresp 0.0
servers.hostname.haproxy.trans-service.trans2.econ 0.0
servers.hostname.haproxy.trans-service.trans2.eresp 0.0
servers.hostname.haproxy.trans-service.trans2.hanafail 0.0
servers.hostname.haproxy.trans-service.trans2.hrsp_1xx 0.0
servers.hostname.haproxy.trans-service.trans2.hrsp_2xx 0.0
servers.hostname.haproxy.trans-service.trans2.hrsp_3xx 0.0
servers.hostname.haproxy.trans-service.trans2.hrsp_4xx 0.0
servers.hostname.haproxy.trans-service.trans2.hrsp_5xx 0.0
servers.hostname.haproxy.trans-service.trans2.hrsp_other 0.0
servers.hostname.haproxy.trans-service.trans2.iid 3.0
servers.hostname.haproxy.trans-service.trans2.lastchg 222121.0
servers.hostname.haproxy.trans-service.trans2.lbtot 0.0
servers.hostname.haproxy.trans-service.trans2.pid 1.0
servers.hostname.haproxy.trans-service.trans2.qcur 0.0
servers.hostname.haproxy.trans-service.trans2.qmax 0.0
servers.hostname.haproxy.trans-service.trans2.rate 0.0
servers.hostname.haproxy.trans-service.trans2.rate_max 0.0
servers.hostname.haproxy.trans-service.trans2.scur 0.0
servers.hostname.haproxy.trans-service.trans2.sid 2.0
servers.hostname.haproxy.trans-service.trans2.smax 0.0
servers.hostname.haproxy.trans-service.trans2.srv_abrt 0.0
servers.hostname.haproxy.trans-service.trans2.stot 0.0
servers.hostname.haproxy.trans-service.trans2.type 2.0
servers.hostname.haproxy.trans-service.trans2.weight 1.0
servers.hostname.haproxy.trans-service.trans2.wredis 0.0
servers.hostname.haproxy.trans-service.trans2.wretr 0.0
```

### This file was generated from the python source
### Please edit the source to make changes

