NetworkCollector
=====

The NetworkCollector class collects metrics on network interface usage
using /proc/net/dev.

#### Dependencies

 * /proc/net/dev


#### Options - [Generic Options](Configuration)

<table><tr><th>Setting</th><th>Default</th><th>Description</th><th>Type</th></tr>
<tr><td>byte_unit</td><td>bit, byte,</td><td>Default numeric output(s)</td><td>list</td></tr>
<tr><td>enabled</td><td>False</td><td>Enable collecting these metrics</td><td>bool</td></tr>
<tr><td>greedy</td><td>true</td><td>Greedy match interfaces</td><td>str</td></tr>
<tr><td>interfaces</td><td>eth, bond, em, p1p,</td><td>List of interface types to collect</td><td>list</td></tr>
<tr><td>measure_collector_time</td><td>False</td><td>Collect the collector run time in ms</td><td>bool</td></tr>
<tr><td>metrics_blacklist</td><td>None</td><td>Regex to match metrics to block. Mutually exclusive with metrics_whitelist</td><td>NoneType</td></tr>
<tr><td>metrics_whitelist</td><td>None</td><td>Regex to match metrics to transmit. Mutually exclusive with metrics_blacklist</td><td>NoneType</td></tr>
</table>

#### Example Output

```
servers.hostname.network.bond3.rx_megabyte (2.504, 2)
servers.hostname.network.bond3.tx_megabyte (4.707, 2)
servers.hostname.network.em2.rx_megabyte (2.504, 2)
servers.hostname.network.em2.tx_megabyte (4.707, 2)
servers.hostname.network.eth0.rx_megabyte (2.504, 2)
servers.hostname.network.eth0.tx_megabyte (4.707, 2)
servers.hostname.network.eth1.rx_megabyte (0.0, 2)
servers.hostname.network.eth1.tx_megabyte (0.0, 2)
```

### This file was generated from the python source
### Please edit the source to make changes

